Indicator Application and indicator-applet does not show indicators

Bug #1819103 reported by pramathesh ambasta on 2019-03-08
48
This bug affects 24 people
Affects Status Importance Assigned to Milestone
indicator-application (Ubuntu)
Undecided
Iain Lane
Bionic
Undecided
Iain Lane
Cosmic
Undecided
Iain Lane

Bug Description

[ Description ]

When gnome-shell-extension-appindicator is installed and in use, and indicator-application is also in use, there is a race condition that means that Ubuntu sessions might not show any appindicators. They each try to claim a bus name, and only one thing may own the same bus name at a time.

[ QA ]

1. Install indicator-application.
2. Enter an Ubuntu GNOME Shell session
3. Start something which displays an appindicator, for example transmission-gtk (turn on "Show Transmission in the notification area" in Preferences -> Desktop.
4. Make sure it displays
5. This bug is a race, and sometimes the appindicator will win the race and so they will work anyway. Open `journalctl -b` and check that there are no messages mentioning "org.kde.StatusNotifier". If the bug was happening you'd have a message from either the extension or indicator-application mentioning this name.

[ Fix ]

Don't run indicator-application on ubuntu sessions.

[ Regression potential ]

If someone has a different session called 'ubuntu' then this will stop indicator-application running for them.

[ Original description ]

On an Ubuntu 18.10 system, the dropbox icon would not show in the system tray panel. After searching the internet and trying various fixes (which did not work as expected) I came across a link which said indicator-application should be removed. I removed it along with the indicator-applet app and things are working fine!.

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: indicator-application (not installed)
ProcVersionSignature: Ubuntu 4.18.0-16.17-generic 4.18.20
Uname: Linux 4.18.0-16-generic x86_64
ApportVersion: 2.20.10-0ubuntu13.2
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri Mar 8 11:48:16 2019
InstallationDate: Installed on 2018-12-20 (77 days ago)
InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 (20181017.3)
SourcePackage: indicator-application
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Iain Lane (laney) wrote :

Thanks. I think I understand the fix. I'll upload for disco/cosmic/bionic now and hopefully the new packages will resolve the issue.

Changed in indicator-application (Ubuntu):
status: New → In Progress
Changed in indicator-application (Ubuntu Bionic):
status: New → In Progress
Changed in indicator-application (Ubuntu Cosmic):
status: New → In Progress
Changed in indicator-application (Ubuntu):
assignee: nobody → Iain Lane (laney)
Changed in indicator-application (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
Changed in indicator-application (Ubuntu Cosmic):
assignee: nobody → Iain Lane (laney)
Iain Lane (laney) on 2019-03-08
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-application - 12.10.1+19.04.20190308.1-0ubuntu1

---------------
indicator-application (12.10.1+19.04.20190308.1-0ubuntu1) disco; urgency=medium

  [ Iain Lane ]
  * data/indicator-application.desktop.in: Don't run in ubuntu sessions
    (LP: #1819103)

 -- <email address hidden> (<email address hidden>) Fri, 08 Mar 2019 15:36:13 +0000

Changed in indicator-application (Ubuntu):
status: In Progress → Fix Released

Hello pramathesh, or anyone else affected,

Accepted indicator-application into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/indicator-application/12.10.1+18.10.20190308.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in indicator-application (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in indicator-application (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello pramathesh, or anyone else affected,

Accepted indicator-application into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/indicator-application/12.10.1+18.04.20190308.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Hi. Is the package available now? I have followed the steps above but the version available in synaptic under cosmic-proposed is still the older one: 12.10.1+17.04.20161201-0ubuntu1. What is to be done now?

Paul White (paulw2u) wrote :

Thanks to all those involved in fixing this.

With indicator-application 12.10.1+18.04.20190308.1-0ubuntu1 installed from bionic -proposed I can confirm that when running transmission (for example) I do now see an icon in the top bar, something that I have never seen before.

Changing the tag as requested.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Paul White (paulw2u) wrote :

FYI: I don't have a permanent 18.10 installation and I don't see the issue running a live session on a spare PC so I am unable to confirm that the fix works for the cosmic release.

@Pramathesh, I can confirm that the updated package *is* available in cosmic-proposed.

Thanks @paulw2u. I installed the package through the command line version 12.10.1+18.10.20190308.1-0ubuntu1.

It is working fine. All indicators showing as expected. So seems the bug has been fixed

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-application - 12.10.1+18.10.20190308.1-0ubuntu1

---------------
indicator-application (12.10.1+18.10.20190308.1-0ubuntu1) cosmic; urgency=medium

  [ Iain Lane ]
  * data/indicator-application.desktop.in: Don't run in ubuntu sessions
    (LP: #1819103)

 -- <email address hidden> (<email address hidden>) Fri, 08 Mar 2019 15:36:19 +0000

Changed in indicator-application (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for indicator-application has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-application - 12.10.1+18.04.20190308.1-0ubuntu1

---------------
indicator-application (12.10.1+18.04.20190308.1-0ubuntu1) bionic; urgency=medium

  [ Iain Lane ]
  * data/indicator-application.desktop.in: Don't run in ubuntu sessions
    (LP: #1819103)

 -- <email address hidden> (<email address hidden>) Fri, 08 Mar 2019 15:36:29 +0000

Changed in indicator-application (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers